
/*################################################################################################
 *##################                                                            ##################
 *##################                                                            ##################
 *##################                   Built-in Functions                       ##################
 *##################                      Header  file                          ##################
 *##################                                                            ##################
 *################################################################################################
 */

/*(c) YLS 1999
 * Copyright (c) 1999 YLS, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL or COMMERCIAL purposes and
 * without fee is subject to prior agreement from YLS.
 *
 * YLS MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. YLS SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * THIS SOFTWARE IS NOT DESIGNED OR INTENDED FOR USE OR RESALE AS ON-LINE
 * CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE
 * PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT
 * NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE
 * SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE
 * SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE
 * PHYSICAL OR ENVIRONMENTAL DAMAGE ("HIGH RISK ACTIVITIES").  YLS
 * SPECIFICALLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR
 * HIGH RISK ACTIVITIES.
 */



#ifndef _YLS_INSTSET_
#define _YLS_INSTSET_

#include <OKit/ObjTypes.h>
#include <OKit/SysTypes.h>
#include <OKit/ExecMod.h>



#define STK_HDR ".= STACK ======================================================================."
#define STK_FMT "| %05n : %68s |"
#define STK_TLR "*==============================================================================*"


#define NEWBLTN(name)	OKit_Status name(OKit_Stack stk, OKit_NameSpace dom)
#define GETSTACK()	stk
#define GETNAMES()	dom
#define SETSTATUS(stat)	return stat




//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Builtin functions table
/////


extern OKit_Bltn BltTable[] ;

extern const unsigned long BltTable_Size ;

unsigned long getBltnIndex(const OKit_Bltn * table, unsigned long tablesize, char * str) ;



//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Error codes and messages
/////

 
extern char * BltError[] ;



#endif // _YLS_INSTSET_

