// ## Static OKit_Bltn Definition
// DEFINE DUPN
// INTERN DupN


NEWBLTN(_InstDef_DupN) ;


static const _OKit_Bltn _BltnDef_DupN = 
	{ "DUPN",   1, { 1    }, ~0, _InstDef_DupN,        "Duplicates the N first objects on stack in order" } ;


NEWBLTN(_InstDef_DupN) {
       	OKit_Status stat ;
	OKit_Object obj1 = NULL ;
	OKit_Object obj2 = NULL ;
	unsigned long i = 0 ;
	unsigned long j ;
	stat.num = RNTERR ;
	stat.msg = BltError[RNTERR] ;
	obj1 = OKit_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUS(stat) ; /* return ; */ }
#endif
	switch(OKit_ObjectType(obj1)) {
	case OKit_OT_INTG:
		i = (unsigned long)*((OKit_Intg)obj1->obj) ;
		break ;
	case OKit_OT_FLTP:
		i = (unsigned long)*((OKit_Fltp)obj1->obj) ;
		break ;
#ifdef DOCHECK
	default:
		OKit_ObjectFree(obj1) ;
		SETSTATUS(stat) ;
		/* return ; */
#endif
	}
	OKit_ObjectFree(obj1) ;
	if( i<=OKit_StackDepth(GETSTACK()) ) {
		j = i ;
		while(j>0) {
			obj2 = OKit_StackGet(GETSTACK(),i) ;
#ifdef DOCHECK
			if(obj2==NULL) { SETSTATUS(stat) ; /* return ; */ }
#endif
			OKit_StackPush(GETSTACK(),obj2) ;
			j -- ;
		}
	}
	else {
		stat.num = INVARGVAL ;
		stat.msg = BltError[INVARGVAL] ;
		SETSTATUS(stat) ;
		/* return ; */
	}
	stat.num = OK ;
	stat.msg = BltError[OK] ;
	SETSTATUS(stat) ;
	/* return ; */
}


