
/*################################################################################################
 *##################                                                            ##################
 *##################                                                            ##################
 *##################                   Built-in Functions                       ##################
 *##################                      Header  file                          ##################
 *##################                                                            ##################
 *################################################################################################
 */

/*(c) YLS 1999
 * Copyright (c) 1999 YLS, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL or COMMERCIAL purposes and
 * without fee is subject to prior agreement from YLS.
 *
 * YLS MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. YLS SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * THIS SOFTWARE IS NOT DESIGNED OR INTENDED FOR USE OR RESALE AS ON-LINE
 * CONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE
 * PERFORMANCE, SUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT
 * NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE
 * SUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE
 * SOFTWARE COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE
 * PHYSICAL OR ENVIRONMENTAL DAMAGE ("HIGH RISK ACTIVITIES").  YLS
 * SPECIFICALLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR
 * HIGH RISK ACTIVITIES.
 */



//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Error codes and messages
/////


#define INORNG		 20
#define M21		 21
#define M22		 22
#define M23		 23
#define M24		 24
#define M25		 25
#define M26		 26
#define M27		 27
#define M28		 28
#define M29		 29

#define NOSCHVAR	 30
#define M31		 31
#define M32		 32
#define M33		 33
#define M34		 34
#define M35		 35
#define M36		 36
#define M37		 37
#define M38		 38
#define M39		 39

#define PARSERRR	 40
#define M41		 41
#define M42		 42
#define M43		 43
#define M44		 44
#define M45		 45
#define M46		 46
#define M47		 47
#define M48		 48
#define M49		 49
/*
#define M50		 50
#define M51		 51
#define M52		 52
#define M53		 53
#define M54		 54
#define M55		 55
#define M56		 56
#define M57		 57
#define M58		 58
#define M59		 59

#define M60		 60
#define M61		 61
#define M62		 62
#define M63		 63
#define M64		 64
#define M65		 65
#define M66		 66
#define M67		 67
#define M68		 68
#define M69		 69

#define M70		 70
#define M71		 71
#define M72		 72
#define M73		 73
#define M74		 74
#define M75		 75
#define M76		 76
#define M77		 77
#define M78		 78
#define M79		 79

#define M80		 80
#define M81		 81
#define M82		 82
#define M83		 83
#define M84		 84
#define M85		 85
#define M86		 86
#define M87		 87
#define M88		 88
#define M89		 89
*/
#define M90		 90
#define M91		 91
#define M92		 92
#define M93		 93
#define M94		 94
#define M95		 95
#define M96		 96
#define M97		 97
#define M98		 98
#define RESERVERR	 99



char * BltError[] = {

	"",					//  0 OK
	"Unhandled error",			//  1 UNHDLD
	"Run time error",			//  2 RNTERR
	"Incoherent data",			//  3 DTINCR
	"System error",				//  4 SYSERR
	"IO error",				//  5 IOSERR
	"Exec error",				//  6 EXCERR
	"Unknown built-in operator",		//  7 NOBLTN
	"Not implemented",			//  8 UNIMPL
	"Unknown user-defined operator",	//  9 NOUSER

	"Too few arguments",			// 10 TOOFEWARG
	"Invalid argument type",		// 11 INVARGTYP
	"Invalid argument value",		// 12 INVARGVAL
	"",					// 13 
	"",					// 14 
	"",					// 15 
	"",					// 16 
	"",					// 17 
	"",					// 18 
	"",					// 19 

	"Index out of range",			// 20 INORNG
	"",					// 21
	"",					// 22 
	"",					// 23 
	"",					// 24 
	"",					// 25 
	"",					// 26 
	"",					// 27 
	"",					// 28 
	"",					// 29 

	"No such variable",			// 30 NOSCHVAR
	"",					// 31 
	"",					// 32 
	"",					// 33 
	"",					// 34 
	"",					// 35 
	"",					// 36 
	"",					// 37 
	"",					// 38 
	"",					// 39 

	"Parse Error",				// 40 PARSERRR
	"",					// 41 
	"",					// 42 
	"",					// 43 
	"",					// 44 
	"",					// 45 
	"",					// 46 
	"",					// 47 
	"",					// 48 
	"",					// 49 

	"",					// 50 
	"",					// 51 
	"",					// 52 
	"",					// 53 
	"",					// 54 
	"",					// 55 
	"",					// 56 
	"",					// 57 
	"",					// 58 
	"",					// 59 

	"",					// 60 
	"",					// 61 
	"",					// 62 
	"",					// 63 
	"",					// 64 
	"",					// 65 
	"",					// 66 
	"",					// 67 
	"",					// 68 
	"",					// 69 

	"",					// 70 
	"",					// 71 
	"",					// 72 
	"",					// 73 
	"",					// 74 
	"",					// 75 
	"",					// 76 
	"",					// 77 
	"",					// 78 
	"",					// 79 

	"",					// 80 
	"",					// 81 
	"",					// 82 
	"",					// 83 
	"",					// 84 
	"",					// 85 
	"",					// 86 
	"",					// 87 
	"",					// 88 
	"",					// 89 

	"",					// 90 
	"",					// 91 
	"",					// 92 
	"",					// 93 
	"",					// 94 
	"",					// 95 
	"",					// 96 
	"",					// 97 
	"",					// 98 
	"Reserved error",			// 99 RESERVERR


} ;


